> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gnosispay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve all Terms and Conditions

> This endpoint provides public access to terms information including type,
current version, URL, and name.




## OpenAPI

````yaml https://api.gnosispay.com/api-docs/spec.json get /api/v1/terms
openapi: 3.0.0
info:
  title: GnosisPay API
  version: 1.0.0
  description: OpenAPI documentation for GnosisPay
servers:
  - url: https://api.gnosispay.com
security: []
tags:
  - name: Account Management
    description: Information about your Account
  - name: Authentication
    description: Authenticate to our API using SIWE
  - name: Card Management
    description: Manage all your Cards
  - name: IBAN
    description: Integrate with Monerium to issue IBANs
  - name: KYC
    description: KYC using Sumsub SDK
  - name: Physical Card Order
    description: Order a Physical Card and manage the process
  - name: Rewards
    description: Cashback Rewards
  - name: Safe Management
    description: Manage your Safe
  - name: Transactions
    description: Manage Card Transactions
  - name: User
    description: Manage User Information
  - name: Webhooks
    description: Manage Webhooks
paths:
  /api/v1/terms:
    get:
      tags:
        - Terms
      summary: Retrieve all Terms and Conditions
      description: >
        This endpoint provides public access to terms information including
        type,

        current version, URL, and name.
      responses:
        '200':
          description: Successfully retrieved terms
          content:
            application/json:
              schema:
                type: object
                properties:
                  terms:
                    type: array
                    items:
                      type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - general-tos
                            - card-monavate-tos
                            - cashback-tos
                            - privacy-policy
                            - monavate-privacy-policy
                          description: Type of terms and conditions
                        currentVersion:
                          type: string
                          description: Current version of these terms
                        url:
                          type: string
                          description: URL to view these terms
                        name:
                          type: string
                          description: Human-readable name of these terms
              example:
                terms:
                  - type: general-tos
                    currentVersion: TOS_GENERAL_VERSION_1
                    url: >-
                      https://help.gnosispay.com/hc/en-us/articles/43350967419412-Gnosis-Pay-Terms-of-Service
                    name: Gnosis Pay Terms of Service
                  - type: card-monavate-tos
                    currentVersion: TOS_CARD_VERSION_1
                    url: >-
                      https://help.gnosispay.com/hc/en-us/categories/41384871493524-Legal-Terms-and-Policies
                    name: Monavate Cardholder Terms
                  - type: cashback-tos
                    currentVersion: TOS_CASHBACK_2024-08-01
                    url: >-
                      https://forum.gnosis.io/t/gip-110-should-the-gnosis-dao-create-and-fund-a-gnosis-pay-rewards-program-with-10k-gno/8837
                    name: Cashback Terms
                  - type: privacy-policy
                    currentVersion: PRIVACY_POLICY_VERSION_1
                    url: >-
                      https://help.gnosispay.com/hc/en-us/articles/39723694982548-Gnosis-Pay-Privacy-and-Cookies-Policy
                    name: Privacy and Cookies Policy
                  - type: monavate-privacy-policy
                    currentVersion: MONAVATE_PRIVACY_POLICY_VERSION_1
                    url: https://www.monavate.com/privacy-policy
                    name: Monavate Privacy Policy
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  responses:
    UnauthorizedError:
      description: Unauthorized Error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error message
          example: Internal server error

````